curl --request PATCH \
--url https://app.surfacd.com/api/v1/projects/{project}/prompts/{prompt} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"country_code": "<string>",
"topic": "<string>"
}
'import requests
url = "https://app.surfacd.com/api/v1/projects/{project}/prompts/{prompt}"
payload = {
"text": "<string>",
"country_code": "<string>",
"topic": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', country_code: '<string>', topic: '<string>'})
};
fetch('https://app.surfacd.com/api/v1/projects/{project}/prompts/{prompt}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"keyword": "<string>",
"status": "suggestion",
"search_volume": 123,
"topic": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"country": {
"code": "<string>",
"name": "<string>"
},
"tags": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "gray"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update Prompt
Partially updates a prompt. Only the fields present are applied. status toggles between active and inactive; activating a prompt is subject to the project’s prompt limit and the team’s available credits. Pass topic: null to clear the topic. Keyword and search volume are pipeline-generated and cannot be set.
Authorizations
Team API key created in Team Settings. Use it with URLs for the same team.
Body
Partial update. Only the fields present are applied.
700ISO 3166-1 alpha-2 code of an active country.
Topic name (created if it doesn't exist), or null to clear the topic.
255Activating is subject to the project's prompt limit and the team's credits.
active, inactive Response
The updated prompt.
The prompt text.
suggestion, declined, inactive, active Most recent search volume for the prompt's keyword, when known.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes